Bug 6431 - local groups from 3.0 setups no longer found
local groups from 3.0 setups no longer found
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 09:04 UTC by Björn Jacke
Modified: 2009-11-10 08:03 UTC (History)
1 user (show)

See Also:


Attachments
patch for the problem (3.28 KB, patch)
2009-06-02 09:05 UTC, Björn Jacke
no flags Details
Patch for master and 3.4. (2.92 KB, patch)
2009-06-30 13:29 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2009-06-02 09:04:59 UTC
in 3.0 local groups (aliases) where stored in the idmaps ou. In Samba 3.2 they are stored in the groups ou and also the search for groups is only done in the groups ou. To not break exsiting 3.0 setups the search shouldn't be done in a sub-ou. The attached fix from Volker fixes fixes this in 3.2 and 3.3. You can use sed "s:source/:source3/:;s:->mem_ctx::" to make it apply to master and 3.4.

IMHO, the fix should go in 3.2, 3.3, 3.4.
Comment 1 Björn Jacke 2009-06-02 09:05:59 UTC
Created attachment 4237 [details]
patch for the problem
Comment 2 Karolin Seeger 2009-06-02 10:22:45 UTC
Jeremy, would you like to review this patch?

Thanks!

Karolin
Comment 3 Karolin Seeger 2009-06-30 04:40:28 UTC
Jeremy, is there a chance to review the patch before the release of 3.4.0?
Comment 4 Jeremy Allison 2009-06-30 13:22:57 UTC
This patch looks correct to me.
Jeremy.
Comment 5 Jeremy Allison 2009-06-30 13:29:08 UTC
Created attachment 4377 [details]
Patch for master and 3.4.
Comment 6 Karolin Seeger 2009-07-03 04:30:43 UTC
Pushed to v3-4-test. Will be included in 3.4.0.
Closing out bug report.

Thanks!